import { deepMerge } from "../../utils/deep-merge/deep-merge.mjs";
import "react";
import "react/jsx-runtime";
import { defaultCssVariablesResolver } from "./default-css-variables-resolver.mjs";
function getMergedVariables({ theme, generator }) {
  const defaultResolver = defaultCssVariablesResolver(theme);
  const providerGenerator = generator == null ? void 0 : generator(theme);
  return providerGenerator ? deepMerge(defaultResolver, providerGenerator) : defaultResolver;
}
export {
  getMergedVariables
};
